Tutorial is loading...

Tutorial is loading...

Tutorial is loading...

Tutorial is loading...

Tutorial is loading...

Tutorial is loading...

Tutorial is loading...

Tutorial is loading...

Tutorial is loading...

Tutorial is loading...

Tutorial is loading...

Tutorial is loading...

Tutorial is loading...

Tutorial is loading...

Tutorial is loading...

Tutorial is loading...

Tutorial is loading...

Tutorial is loading...

Tutorial of VK Cup 2019-2020 - Elimination Round (Engine)

↑

↓

Codeforces (c) Copyright 2010-2021 Mike Mirzayanov

The only programming contests Web 2.0 platform

Server time: Oct/22/2021 05:51:06 (i2).

Desktop version, switch to mobile version.

Supported by

User lists

Name |
---|

Maybe you need to improve your English.

Russian statement and editorial is full of typos and silly mistakes as well, so I think author should either buy a new keyboard or learn to type... (Or maybe stop using google translate)

We need codes also!

In problem F you may observe that one of primitive roots in nimber field of size $$$2^{2^k}$$$ is $$$2^{2^k}-1$$$ so you may precalculate some of its powers beforehand to further simplify BSGS-algorithm and take discrete logarithm with base being a primitive root. If you do so, you won't need to develop tricky multiplication algorithm as $$$64^2$$$ algo with precalc for powers of two would be enough.

Can you give a better explanation for the optimization of problem (A. Recommendations)? I got to the O(n^2) solution during the contest but couldn't improve it.

https://codeforces.com/blog/entry/74214?#comment-583996

Can you please explain more on how to improve the complexity of A.Recommendations from N^2 to Nlogn.

I have used heap and greedy approach 71716787

First i have put all unique elements in a dictionary with list of values.

Then i keep a temp list to store all the list and pop one largest element to keep in that position and others increase one position and carry on doing this till temp is empty , time complexity — O(N) + N*O(log(N))

Same solution using a priority queue 71924309 in C++

ninilo97< can you explain me your code logic , please

in the explain 1315c i can't find this logical " If there is no such x (if all numbers greater than a1 are already used), there is no appropriate permutation " so that can't be possible because there is many numbrs can always make this proposition wrong , what ever we have in the b1 b2 b3 b4 .... bn and olso why they put -1 on this test cases can you help me please to undersatnd more the problem test 1: 3 2 4 3 test 2 : 3 2 4 5 test 3 : 3 2 4 6 thanks :)

Does anyone understand the use of multiset in 1310 A Recommendations? I coded my own solution before reading the editorial and it was accepted (using set), but it used a different method, I think. I don't understand the editorial explanation for how to use multiset. Thank you.

Can someone tell me why my solution for Div1A/Div2D will TLE? I think its time complexity is nlogn.

Can anyone please explain more about the problem 1310B. thanks in advance.

Try the problem from end of the string, like greedy approach with prefix sum, if sum gets larger than p, break.

solved D in 12 hours...It was hard for me...But enjoyed at the end...

Can anyone pls tell me what is wrong with my code? It gives the correct output with my editor. Solution Code: 97113733

Can you explain me your approach